#include <bits//stdc++.h>
using namespace std;
long long n,m,res;
int main () {
    cin >> n >> m;
    if(n==1){cout << m;}
    else if(m==1){cout << n;}
    else{
    res=2*(n+m)-4 + (((n-2)*(m-2))/2);
    cout << res;
    }
    return 0;
}